aboutsummaryrefslogtreecommitdiffstats
path: root/test-all-options.sh
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2015-03-24 19:02:14 +0100
committerMattias Andrée <maandree@operamail.com>2015-03-24 19:02:14 +0100
commitbf102f6036b9291f0494b253b1558f2dab9ec001 (patch)
tree875101861b0b9434419a5875e4301a3bd5d34af0 /test-all-options.sh
parentfix PASSPHRASE_TEXT (diff)
downloadlibpassphrase-bf102f6036b9291f0494b253b1558f2dab9ec001.tar.gz
libpassphrase-bf102f6036b9291f0494b253b1558f2dab9ec001.tar.bz2
libpassphrase-bf102f6036b9291f0494b253b1558f2dab9ec001.tar.xz
m + doc PASSPHRASE_STAR_CHAR, PASSPHRASE_TEXT_EMPTY and PASSPHRASE_TEXT_NOT_EMPTY1427220157
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to 'test-all-options.sh')
-rwxr-xr-xtest-all-options.sh22
1 files changed, 10 insertions, 12 deletions
diff --git a/test-all-options.sh b/test-all-options.sh
index 8ba5431..9572be2 100755
--- a/test-all-options.sh
+++ b/test-all-options.sh
@@ -1,17 +1,15 @@
#!/bin/bash
-for a in PASSPHRASE_ECHO ""; do
- for b in PASSPHRASE_STAR PASSPHRASE_TEXT ""; do
- for c in PASSPHRASE_REALLOC ""; do
- for d in PASSPHRASE_MOVE ""; do
- for e in PASSPHRASE_INSERT ""; do
- for f in PASSPHRASE_OVERRIDE ""; do
- for g in PASSPHRASE_DELETE ""; do
- for h in PASSPHRASE_CONTROL ""; do
- for i in PASSPHRASE_DEDICATED ""; do
- for j in DEFAULT_INSERT ""; do
- make libpassphrase -B OPTIONS="$a $b $c $d $e $f $g $h $i $j $k" || exit 1
- done
+for a in PASSPHRASE_ECHO PASSPHRASE_STAR PASSPHRASE_TEXT ""; do
+ for b in PASSPHRASE_REALLOC ""; do
+ for c in PASSPHRASE_MOVE ""; do
+ for d in PASSPHRASE_INSERT ""; do
+ for e in PASSPHRASE_OVERRIDE ""; do
+ for f in PASSPHRASE_DELETE ""; do
+ for g in PASSPHRASE_CONTROL ""; do
+ for h in PASSPHRASE_DEDICATED ""; do
+ for i in DEFAULT_INSERT ""; do
+ make libpassphrase -B OPTIONS="$a $b $c $d $e $f $g $h $i" || exit 1
done
done
done